#ifndef ComplexeE_H_INCLUDED
#define ComplexeE_H_INCLUDED

class Complexe
{
    public:

    Complexe(); //Constructeur
    Complexe(const Complexe &k); //Constructeur de copie
    ~Complexe(); //Destructeur (inutile ici)

    float getRe() const;
	float getIm() const;
	float getModule() const;
	float getArg() const;

	void setRe(float re);
	void setIm(float im);
	void setExp(float module, float arg);

	Complexe operator+(const Complexe &l);
	Complexe operator-(const Complexe &l);
	Complexe operator*(const Complexe &l);
	//Complexe operator=(const Complexe &l);

	Complexe operator+=(const Complexe &l);
	Complexe operator-=(const Complexe &l);
	Complexe operator*=(const Complexe &l);

	Complexe operator+(float l);
	Complexe operator-(float l);
	Complexe operator*(float l);

    private:

    float m_Re;
    float m_Im;


};

#endif // ComplexeE_H_INCLUDED
